gegl (1:0.4.62-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * ZDI-CAN-27803: GIMP HDR File Parsing Heap-based Buffer Overflow Remote
    Code Execution Vulnerability (CVE-2025-10921) (Closes: #1116470)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 03 Oct 2025 17:37:16 +0200

gegl (1:0.4.62-3) unstable; urgency=medium

  * Team upload
  * d/control: Replace B-D on libgirepository1.0-dev with
    gobject-introspection
  * d/copyright: Correct some duplicated glob patterns
  * d/copyright: Update for some renamed files
  * d/copyright: Add missing stanza for ctx.h
  * d/p/debian/docs-Exclude-remote-image-from-API-reference.patch:
    Add patch to avoid a remote image in the API reference documentation
  * d/salsa-ci.yml: Add
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Sep 2025 09:20:17 +0100

gegl (1:0.4.62-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 May 2025 08:24:59 -0400

gegl (1:0.4.62-1) experimental; urgency=medium

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 May 2025 09:16:32 -0400

gegl (1:0.4.58-2) unstable; urgency=medium

  * Remove Josselin Mouette from Uploaders. Thank you for your contributions!

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 15:03:29 -0400

gegl (1:0.4.58-1) unstable; urgency=medium

  * New upstream bugfix release required by gimp 3.0.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Mar 2025 08:57:08 -0400

gegl (1:0.4.56-1) unstable; urgency=medium

  * New upstream release
  * Remove ancient Breaks/Replace/Pre-Depends
  * debian/libgegl-0.4-0t64.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 14:51:16 -0400

gegl (1:0.4.54-1) unstable; urgency=medium

  * New upstream release
  * Allow build tests to run in parallel

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 09 Feb 2025 16:27:03 -0500

gegl (1:0.4.52-1) unstable; urgency=medium

  * New upstream release
  * Stop using dh-sequence-gnome
  * Remove unused Lintian overrides

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Dec 2024 09:02:13 -0500

gegl (1:0.4.50-1) unstable; urgency=medium

  * New upstream release
  * Acknowledge all previous NMUs.
  * Update Standards-Version to 4.7.0, with no changes needed.
  * Update symbols files to add new symbols.

 -- Jordi Mallach <jordi@debian.org>  Tue, 05 Nov 2024 01:11:10 +0100

gegl (1:0.4.48-2.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert Maintainer field to GNOME Maintainers.

 -- Bastian Germann <bage@debian.org>  Sat, 13 Apr 2024 07:23:10 +0000

gegl (1:0.4.48-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * More symbols file fixes for t64.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Mar 2024 20:51:24 +0100

gegl (1:0.4.48-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix symbols file for t64.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Mar 2024 18:41:45 +0100

gegl (1:0.4.48-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build depedency on dpkg-dev to use >= not >> (sorry).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 05 Mar 2024 09:37:53 +1300

gegl (1:0.4.48-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build depedency on dpkg-dev (>= 1.22.5) for time_t transition.
    (Closes: #1065260)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Mon, 04 Mar 2024 23:38:29 +1300

gegl (1:0.4.48-2) unstable; urgency=medium

  * Release to unstable (Closes: #1062066)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 21:37:42 -0500

gegl (1:0.4.48-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Sat, 24 Feb 2024 05:55:17 +0000

gegl (1:0.4.48-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on gi-docgen instead of gtk-doc-tools
  * debian/libgegl-0.4-0.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Feb 2024 09:20:00 -0500

gegl (1:0.4.46-4.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lukas Märdian <slyon@debian.org>  Wed, 31 Jan 2024 09:05:27 +0000

gegl (1:0.4.46-4) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * Update packaging branch to debian/latest

  [ Simon McVittie ]
  * d/control: Stop generating from d/control.in
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
    (Helps: #1030223)
  * d/control: Explicitly build-depend on required GIR XML
    (Helps: #1030223)

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Nov 2023 12:36:24 +0000

gegl (1:0.4.46-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control.in: Remove unused libopenraw-dev build-dependency

  [ Jeremy Bícha ]
  * Disable libav feature that isn't used yet & crashes with ffmpeg 6
    (Closes: #1041382)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 18:07:45 -0400

gegl (1:0.4.46-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control.in: Remove unused libopenraw-dev build-dependency

  [ Jeremy Bícha ]
  * Disable libav feature that isn't used yet & crashes with ffmpeg 6
    (Closes: #1041382)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 18:06:44 -0400

gegl (1:0.4.46-1) unstable; urgency=medium

  * New upstream release
  * debian/libgegl-0.4-0.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Jun 2023 20:16:07 -0400

gegl (1:0.4.44-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 13:09:52 -0400

gegl (1:0.4.44-2) experimental; urgency=medium

  * debian/control.in: Bump minimum babl to 0.1.99 for babl-0.1.pc rename

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 May 2023 11:52:36 -0400

gegl (1:0.4.44-1) experimental; urgency=medium

  * New upstream release
    - Fix invalid free triggered with glib 2.76

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 02 Apr 2023 12:34:30 -0400

gegl (1:0.4.42-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 24 Feb 2023 07:52:59 -0500

gegl (1:0.4.42-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 18:57:01 -0500

gegl (1:0.4.40-2) unstable; urgency=high

  [ Simon McVittie ]
  * d/control.in: Drop compatibility with old libgdk-pixbuf2.0-dev package

  [ Jeremy Bicha ]
  * debian/control.in: Move asciidoc-base to Build-Depends-Indep
  * Update standards version to 4.6.2, no changes needed

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2023 12:57:58 -0500

gegl (1:0.4.40-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on asciidoc-base
  * Revert "d/libgegl-doc.docs: Install asciidoc source instead of HTML"

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Nov 2022 12:34:53 -0500

gegl (1:0.4.38-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 14:17:44 -0400

gegl (1:0.4.36-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Apply upstream patches to fix build with ffmpeg 5.0
    (Closes: #1004771)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Jun 2022 19:06:53 +0200

gegl (1:0.4.36-3) unstable; urgency=medium

  * debian/libgegl-0.4-0.symbols: Add optional symbols for armel/armhf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Mar 2022 13:03:00 -0400

gegl (1:0.4.36-2) unstable; urgency=medium

  * debian/libgegl-0.4-0.symbols: Mark some symbols as amd64/x32 only

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Mar 2022 11:29:53 -0400

gegl (1:0.4.36-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum babl to 0.1.90
  * debian/libgegl-0.4-0.symbols: Update

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Mar 2022 17:49:05 -0400

gegl (1:0.4.34-1) unstable; urgency=high

  * New upstream release
    - Includes fix for CVE-2021-45463 (Closes: #1002661)
  * Drop all patches: applied in new release
  * Drop debian/rules & debian/clean workaround for endian issue fixed in
    new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 26 Dec 2021 17:43:33 -0500

gegl (1:0.4.32-2) unstable; urgency=medium

  * Team upload
  * d/p/docs-Don-t-scan-ctx.h-with-gtk-doc.patch:
    Mark patch as applied upstream
  * d/rules: Update name of Meson option for SDL display.
    This was intended to be disabled, but we were using an old name for the
    option, which is an error with Meson 0.60.0. (Closes: #997938)

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Oct 2021 10:19:40 +0100

gegl (1:0.4.32-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/p/tests-Use-endiannness-dependent-reference-GEGL-buffers.patch,
    d/rules, d/clean:
    Avoid trying to load little-endian GEGL buffers on BE architectures
    (Closes: #991300)
  * d/lbgegl-0.4-0.docs: Adjust name of NEWS.adoc
  * d/rules: Enable gtk-doc if necessary
  * d/control.in: Don't depend on gtk-doc-tools under nodoc profile
  * d/libgegl-0.4-0.symbols: Mark private symbols as optional
  * d/p/docs-Don-t-scan-ctx.h-with-gtk-doc.patch:
    Add proposed patch fixing FTBFS with current gtk-doc
  * d/libgegl-doc.docs: Install asciidoc source instead of HTML.
    HTML is no longer provided in the tarball release.

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Sep 2021 13:10:11 +0100

gegl (1:0.4.30-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop fix-build-new-glib.patch: Applied in new release

  [ Laurent Bigonville ]
  * debian/control.in: Suggest the graphviz package
    gegl now needs the "dot" executable for some optional features
    (Closes: #985566)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Jul 2021 13:47:03 -0400

gegl (1:0.4.28-3) unstable; urgency=medium

  [ Olivier Tilloy ]
  * Cherry-pick an upstream PR to fix build against glib 2.67.3
    - debian/patches/fix-build-new-glib.patch

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 17 Mar 2021 20:22:23 -0400

gegl (1:0.4.28-2) unstable; urgency=medium

  * debian/control.in: Use epoch for babl dependency (Closes: #985154)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 13 Mar 2021 15:53:15 -0500

gegl (1:0.4.28-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum babl to 0.1.84
  * debiabn/control.in: Bump minimum meson to 0.54.0
  * debian/control.in: Build-Depend on libmaxflow-dev

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 12 Mar 2021 18:37:16 -0500

gegl (1:0.4.26-2) unstable; urgency=medium

  * Team upload
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * Use secure URI in Homepage field
  * d/upstream/metadata: Add
  * d/copyright: Make Source consistent with d/watch
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Nov 2020 10:04:21 +0000

gegl (1:0.4.26-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - d/libgegl-0.4-0.symbols: Update
  * Add an epoch to the version number.
    This ensures that versions previously shipped by the deb-multimedia
    third-party apt repository are correctly superseded.
    - d/libgegl-0.4-0.symbols: Also add the epoch to all symbols introduced
      since the last known version of gegl before it was removed from the
      deb-multimedia repository.
    - d/source/lintian-overrides: Justify the epoch bump
    (Closes: #961993, #962093 and many older reports)
  * Add a superficial autopkgtest for the GIR data
  * Link with -Wl,-z,defs to detect any missing library dependencies

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Aug 2020 11:02:13 +0100

gegl (0.4.24-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Bump minimum babl to 0.1.78
  * debian/libgegl-0.4-0.symbols: Update
  * Update debian/watch
  * Drop all patches: applied in new release

  [ Simon McVittie ]
  * Remove unused build-dependency on GTK 2 (Closes: #959088)
  * Move to debhelper compat level 13
  * d/rules: Remove explicit -Wl,--as-needed linker flag

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 13 Jun 2020 12:57:47 -0400

gegl (0.4.22-3) unstable; urgency=medium

  * Team upload
  * d/rules: Show testlog.txt if tests fail, like dh_auto_test does.
    This is a useful way to correlate tests' output with which tests
    failed.
  * Fix max-diff property name.
    GLib 2.64 validates property names more strictly, resulting in this
    not working as intended, with max_diff left uninitialized. It appears
    this caused test failures that were more likely to happen on mips*.
    (Closes: #954196)
  * Work around #954197.
    GLib has a long-standing bug in which a GFileMonitor that is freed
    without being explicitly cancelled first can result in a deadlock.
    Work around this by explicitly cancelling it.

 -- Simon McVittie <smcv@debian.org>  Wed, 18 Mar 2020 11:54:14 +0000

gegl (0.4.22-2) unstable; urgency=medium

  * Team upload

  [ Andreas Henriksson ]
  * Explicitly disable v4l build options on Hurd.
    Normally these would get disabled because the options are set to
    'auto', but because debian/rules uses -Dauto_features=enabled
    to override the auto behaviour (to avoid feature going missing
    surprises) we need to explicitly disable options which we don't
    want to use.
    This is a followup fix on #947784

  [ Laurent Bigonville ]
  * debian/control.in: Add libglib2.0-doc to B-D-I and mark the -doc
    package with Build-Profiles: <!nodoc>

  [ Simon McVittie ]
  * d/rules: Increase timeout for unit tests on arm*, mips*, etc.
    The upstream-set timeouts are somewhat optimistic.
    Use `meson test` directly, instead of dh_auto_test, to get better
    control. This can be simplified in dh compat level 13.
    (Might resolve #951821)
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.5.0 (no changes required)
  * Add a superficial autopkgtest for libgegl-dev

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Mar 2020 20:15:24 +0000

gegl (0.4.22-1) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Mark libv4l-dev build-dep as not for hurd (Closes: #947784)

  [ Andreas Henriksson ]
  * New upstream release
  * Bump babl (build-)dep according to meson.build
  * Revert "* debian/patches/increase_test_timeout.patch:", merged upstream.
  * Revert "Cherry-pick meson-fix-cpu-detection.patch:"
    - cherry-picked from upstream, now part of upstream release.
  * Disable running tests in parallel

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 22 Feb 2020 18:21:29 +0100

gegl (0.4.18-2) unstable; urgency=medium

  * debian/patches/increase_test_timeout.patch:
    - increase the ff-load-save test timeout from 120s to 360s, it's needed
      on some of the slower architectures

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 Nov 2019 13:28:09 +0100

gegl (0.4.18-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Build-Depend on liblensfun-dev, libsdl2-dev (instead of 1.2) & libv4l-dev
  * Bump minimum libbabl-dev to 0.172-3~ for gir1.2-babl-0.1
  * debian/libgegl-0.4-0.symbols: Update
  * debian/libgegl-0.4-0.docs: Install docs/NEWS.txt
  * debian/libgegl-0.4-0.docs: README is no longer provided
  * Drop test timeout patch: Applied in new release
  * Cherry-pick meson-fix-cpu-detection.patch:
    - Fix build on several architectures

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Nov 2019 19:22:33 -0500

gegl (0.4.16-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome and dh-sequence-gir
  * Bump Standards-Version to 4.4.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 27 Oct 2019 17:32:50 -0400

gegl (0.4.16-1) unstable; urgency=medium

  * New upstream release
  * debian/libgegl-0.4-0.symbols: Add new symbols
  * Drop direct Build-Depends on libexiv2-dev per configure.ac update

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 13 Oct 2019 20:47:03 -0400

gegl (0.4.14-2) unstable; urgency=high

  * Cherry-pick commit which increased a test timeout affecting the mips
    builders. Thanks Bernhard Übelacker. (Closes: #940190)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Sep 2019 22:05:05 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgegl-0.4-0t64`.
